classification
Title: Reduce marshal stack depth for 2.7 on Windows debug build
Type: Stage: resolved
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, db3l, python-dev, steve.dower
Priority: normal Keywords: patch

Created on 2016-05-14 16:41 by db3l, last changed 2016-07-07 06:37 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
marshal-27.patch db3l, 2016-05-14 16:41 review
Messages (2)
msg265533 - (view) Author: David Bolen (db3l) Date: 2016-05-14 16:41
I'd like to propose backporting the change in issue 22734 to the 2.7 branch.  The marshal recursion depth appears to be at the root of the failures of the Windows 8 and 10 buildbots in test_marshal on that branch, which is still using a depth of 2000.

The one thing I haven't yet been able to figure out is why this only seems to happen under Windows 8/10, and not 7/XP, but I don't think the change is harmful in any case.

The attached patch, adapted from issue 22734 is against the current 2.7 tip.
msg269922 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-07 06:37
New changeset 6230ead06f65 by Benjamin Peterson in branch '2.7':
reduce marshal stack size in debug mode on windows (closes #27019)
https://hg.python.org/cpython/rev/6230ead06f65
History
Date User Action Args
2016-07-07 06:37:15python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg269922

resolution: fixed
stage: resolved
2016-07-05 21:17:56pitrousetnosy: - pitrou
2016-07-05 21:16:40serhiy.storchakasetnosy: + benjamin.peterson
2016-05-14 16:41:41db3lcreate